Globals1D;
%%%%%%%%%%%%%%  construction variables %%%%%%%%%%%%%%%

E=zeros(P+1,N); B=zeros(P+1,N);
ELim=zeros(P+1,2); BLim=zeros(P+1,2);

%%%%%%%%%%%%%% init variables %%%%%%%%%%%%%%%

[E, B]=init_datas_Maxwell() ;
plot_ex=Plot_Exact_solution();

%%%%%%%%%%%%%% Init time stepping %%%%%%%%%%%%%%%%
 
%%%%%% calcul time step %%%%%%

dt=CFL_Maxwell(); 

n_var = input('variable traced '); 

normLp=zeros(nbvar,ceil(Tf/dt)+1);
Energy=zeros(1,ceil(Tf/dt)+1);
n_step = 1;
t_vector=zeros(1,ceil(Tf/dt)+1);

%%%%%%% compute initial norm Lp and solution

normLp(1,n_step)= Norm_Lp(E,0,2,0);
normLp(2,n_step)= Norm_Lp(B,0,2,0);
Energy(1,n_step)= Energy_Maxwell(E,B);

m = trace_Maxwell(0,E,B,plot_ex);
t_vector(n_step)=0;

%%%%%%%%%%%%%% Time stepping %%%%%%%%%%%%%%%%
[ELim, BLim]=BC_Maxwell(E,B);
if(slope == 1)
    E=SlopelimitN(E,ELim);
    B=SlopelimitN(B,BLim);
end
t=0;
while t < Tf
        if(t+dt>Tf) dt=Tf-t; end

         [E, B] = RK_solving_Maxwell(E,B,ELim,BLim,dt);
                         
         n_step=n_step+1;
         t=t+dt;
        
        %%%%%%%%%%%%% compute norm Lp
        normLp(1,n_step)= Norm_Lp(E,t,2,0);
        normLp(2,n_step)= Norm_Lp(B,t,2,0);
        Energy(1,n_step)= Energy_Maxwell(E,B);
        

        m = trace_Maxwell(t,E,B,plot_ex); 

        t_vector(n_step)=t;
        %%%%%%%%%% trace        
 
end

 %%%%%%%%%% Final trace and error
figure;
plot(t_vector,normLp(n_var,:),'bo-');
plot(t_vector,Energy(1,:),'bo-');
 if(plot_ex == 1)
    if (n_var ==1) disp('error L2'); disp(Norm_Lp(E,t,2,1)); end
    if (n_var ==1) disp('error L1'); disp(Norm_Lp(E,t,1,1)); end
    if (n_var ==2) disp('error L2'); disp(Norm_Lp(B,t,2,1)); end
    if (n_var ==2) disp('error L1'); disp(Norm_Lp(B,t,1,1)); end
 end 
 
 
 