function [ Ener ] = Energy_Maxwell(E,B)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
Globals1D;
switch P
     case 0, N_q = 2;
     case 1, N_q = 3;
     case 2, N_q = 4; 
     case 3, N_q = 5; 
     case 4, N_q = 6;  
     case 5, N_q = 7; 
     case 6, N_q = 8;     
     otherwise disp('quadrature tall 1-8');
end 

Ener=zeros(1,1);

for j=1 : 1: N
    norm_j=0;
    for q= 1: 1 :N_q
        E_h=0;
        B_h=0;
        [w, xp] = quadrature(N_q);
        x = 0.5 * D_x(j) * xp(q) + Centers(j);
        
        for k =1 : 1 : P+1       
            phi_jk= Basis_functions(k,1,j,x);
            
                E_h = E_h + E(k,j) * phi_jk;
                B_h = B_h + B(k,j) * phi_jk;
        end

        norm_j = norm_j + w(q) * ( mpower(abs(E_h),2) + mpower(abs(B_h),2));
    end   
    norm_j = norm_j * 0.5 * D_x(j);
    Ener = Ener + norm_j;
    
end

Ener =mpower(Ener,1/2);

end

