Globals1D;

%%%%%%%%%%%%%%  construction variables %%%%%%%%%%%%%%%

u=zeros(P+1,N); uLim=zeros(P+1,N);
S_u=zeros(P+1,N);  % source 
%%%%%%%%%%%%%% init variables %%%%%%%%%%%%%%%

u=init_datas_advection();

plot_ex=Plot_Exact_solution();
%%%%%%%%%%%%%% Init time stepping %%%%%%%%%%%%%%%%

%%%%%% calcul time step %%%%%%

  dt=CFL_advection() ;
  
  n_var=1;
  
  normLp=zeros(nbvar,ceil(Tf/dt)+1);
  n_step = 1;
  t_vector=zeros(1,ceil(Tf/dt)+1);
    
%%%%%%% compute initial norm Lp and solution


normLp(1,n_step)= Norm_Lp(u,0,2,0);
m = trace_advection(0,u,plot_ex); 

t_vector(n_step)=0;


%%%%%%%%%%%%%% Time stepping %%%%%%%%%%%%%%%%
[uLim]=BC_advection(u);
if(slope == 1) 
    u=SlopelimitN(u,uLim);
end

t=0;
mass= Norm_Lp(u,t,0,0);
['Mass initial : ',num2str(mass)] 
while t < Tf
        if(t+dt>Tf) dt=Tf-t; end      
        
         ['time : ',num2str(t)] 
         
         S_u=Init_source_advection(u);
         u = RK_solving_advection(u,S_u,uLim,dt);  
       
         n_step=n_step+1;
         t=t+dt;
         
        %%%%%%%%%%%%% compute norm Lp
        normLp(1,n_step)= Norm_Lp(u,t,2,0);
        m = trace_advection(t,u,plot_ex);   
       
        
        t_vector(n_step)=t;   
 
         
end
mass= Norm_Lp(u,t,0,0);
['Mass final: ',num2str(mass)] 
 %%%%%%%%%% Final trace and error
figure;
plot(t_vector,normLp(n_var,:),'bo-');
if(plot_ex == 1)
    disp('error L2'); disp(Norm_Lp(u,t,2,1));
    disp('error L1'); disp(Norm_Lp(u,t,1,1));
end    
         