Globals1D;


%%%%%%%%%%%%%%  construction variables %%%%%%%%%%%%%%%

r=zeros(P+1,N); u=zeros(P+1,N); E=zeros(P+1,N);
rLim=zeros(P+1,2); uLim=zeros(P+1,2); ELim=zeros(P+1,2);

%%%%%%%%%%%%%% init variables %%%%%%%%%%%%%%%

[r, u, E]=init_datas_Euler();
plot_ex=Plot_Exact_solution();

%%%%%%%%%%%%%% Init time stepping %%%%%%%%%%%%%%%%
 
%%%%%% calcul time step %%%%%%

dt=CFL_Euler(r,u,E);

n_var = input('variable traced '); 

normLp=zeros(nbvar,ceil(Tf/dt)+1);
n_step = 1;
t_vector=zeros(1,ceil(Tf/dt)+1);

%%%%%%% compute initial norm Lp and solution

%%%%%%% compute initial norm Lp and solution

normLp(1,n_step)= Norm_Lp(r,0,1,0);
normLp(2,n_step)= Norm_Lp(u,0,1,0);
normLp(3,n_step)= Norm_Lp(E,0,1,0);


m = trace_Euler(0,r,u,E,plot_ex); 
t_vector(n_step)=0;

%%%%%%%%%%%%%% Time stepping %%%%%%%%%%%%%%%%
[rLim, uLim, ELim]=BC_Euler(r,u,E);
if(slope == 1)
    u=SlopelimitN(r.*u,rLim.*uLim );
    r=SlopelimitN(r,rLim);
    u=u./r;
    E=SlopelimitN(E,ELim);
    
end
 

t=0;
mass= Norm_Lp(r,t,0,0);
['Mass initial: ',num2str(mass)] 
while t < Tf
       % if( >= Tf) break; end
         dt=CFL_Euler(r,u,E);
         if(t+dt>Tf) dt=Tf-t; end
         
         
         ['time : ',num2str(t)] 
       
           
         %%%%%%%%% RK solving step
         [r, u,E] = RK_solving_Euler(r,u,E,rLim,uLim,ELim,dt);

         n_step=n_step+1;
         t=t+dt;
        % 
        
        %%%%%%%%%%%%% compute norm Lp
        normLp(1,n_step)= Norm_Lp(r,t,1,0);
        normLp(2,n_step)= Norm_Lp(u,t,1,0);
        normLp(3,n_step)= Norm_Lp(E,t,1,0);
        
        m = trace_Euler(t,r,u,E,plot_ex);   
            
        
        t_vector(n_step)=t;   
 
        
end  

mass= Norm_Lp(r,t,0,0);
['Mass final: ',num2str(mass)] 

 %%%%%%%%%% Final trace and error
figure;
plot(t_vector,normLp(n_var,:),'bo-');
plot(t_vector,Entropy(1,:),'bo-');
if(plot_ex == 1)
    if (n_var ==1) disp('error L1'); disp(Norm_Lp(r,t,1,1)); end
    if (n_var ==2) disp('error L1'); disp(Norm_Lp(u,t,1,1)); end
    if (n_var ==3) disp('error L1'); disp(Norm_Lp(E,t,1,1)); end
end         