Globals1D;
%%%%%%%%%%%%%%  construction variables %%%%%%%%%%%%%%%

r=zeros(P+1,N); u=zeros(P+1,N); uy=zeros(P+1,N) ;uz=zeros(P+1,N);
E=zeros(P+1,N); By=zeros(P+1,N); Bz=zeros(P+1,N)
rLim=zeros(P+1,2); uyLim=zeros(P+1,2); uzLim=zeros(P+1,2);uLim=zeros(P+1,2);
ELim=zeros(P+1,2); ByLim=zeros(P+1,2); BzLim=zeros(P+1,2);

%%%%%%%%%%%%%% init variables %%%%%%%%%%%%%%%

[r, u, uy ,uz, E, By,Bz]=init_datas_MHD();
plot_ex=Plot_Exact_solution();

%%%%%%%%%%%%%% Init time stepping %%%%%%%%%%%%%%%%
 
%%%%%% calcul time step %%%%%%

dt=CFL_MHD(r,u,ux,uz,E,Bz,By);

n_var = input('variable traced '); 

normLp=zeros(nbvar,ceil(Tf/dt)+1);
n_step = 1;
t_vector=zeros(1,ceil(Tf/dt)+1);

%%%%%%% compute initial norm Lp and solution

%%%%%%% compute initial norm Lp and solution

normLp(1,n_step)= Norm_Lp(r,t,1,0);
        normLp(2,n_step)= Norm_Lp(u,t,1,0);
        normLp(3,n_step)= Norm_Lp(uy,t,1,0);
        normLp(4,n_step)= Norm_Lp(uz,t,1,0);
        normLp(5,n_step)= Norm_Lp(E,t,1,0);
        normLp(6,n_step)= Norm_Lp(By,t,1,0);
        normLp(7,n_step)= Norm_Lp(Bz,t,1,0);



m = trace_MHD(t,r,u,uy,uz,E,By,Bz,plot_ex)
t_vector(n_step)=0;

%%%%%%%%%%%%%% Time stepping %%%%%%%%%%%%%%%%

t=0;
while t < Tf
         dt=CFL_MHD(r,u,uy,uz,E,By,Bz);
         if(t+dt>Tf) dt=Tf-t; end
         
         mass= Norm_Lp(r,t,0,0);
         ['time : ',num2str(t)] 
         ['Mass : ',num2str(mass)] 
           
         
           
         %%%%%%%%% RK solving step
        [ r,u,uy,uz,E,By,Bz ] = RK_solving_MHD(r,u,uy,uz,E,By,Bz,rLim,uLim,uyLim,uzLim,ELim,ByLim,BzLim,dt)

         n_step=n_step+1;
         t=t+dt;
        % 
        
        %%%%%%%%%%%%% compute norm Lp
        normLp(1,n_step)= Norm_Lp(r,t,1,0);
        normLp(2,n_step)= Norm_Lp(u,t,1,0);
        normLp(3,n_step)= Norm_Lp(uy,t,1,0);
        normLp(4,n_step)= Norm_Lp(uz,t,1,0);
        normLp(5,n_step)= Norm_Lp(E,t,1,0);
        normLp(6,n_step)= Norm_Lp(By,t,1,0);
        normLp(7,n_step)= Norm_Lp(Bz,t,1,0);
        
        m = trace_MHD(t,r,u,uy,uz,E,By,Bz,plot_ex)  
      
        t_vector(n_step)=t;   
 
        
end  

 %%%%%%%%%% Final trace and error

plot(t_vector,normLp(n_var,:),'bo-');
if(plot_ex == 1)
 if (n_var ==1) disp('error L1'); disp(Norm_Lp(r,t,1,1)); end
 if (n_var ==2) disp('error L1'); disp(Norm_Lp(u,t,1,1)); end
 if (n_var ==3) disp('error L1'); disp(Norm_Lp(uy,t,1,1)); end
 if (n_var ==4) disp('error L1'); disp(Norm_Lp(uz,t,1,1)); end
 if (n_var ==5) disp('error L1'); disp(Norm_Lp(E,t,1,1)); end
 if (n_var ==6) disp('error L1'); disp(Norm_Lp(By,t,1,1)); end
 if (n_var ==7) disp('error L1'); disp(Norm_Lp(Bz,t,1,1)); end
end
