function [ m ] = MeshGeneration()
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here

Globals1D;

if(Type_mesh == 1)
    
    dx = L/N; % step mesh
    Nodes=[LG:dx:LD];%%% nodes of the mesh
    Nodes_lim=[LG-dx LD+dx]; %%% ghost nodes
    Centers=[LG+0.5*dx:dx:LD-0.5*dx]; %%% center of the cells
     Centers_lim=[LG-0.5*dx LD+0.5*dx]; %%% ghost centercell
    D_x=ones(1,N); %% volumes of the cells
    D_x=dx*D_x;
    D_x_lim=[dx dx];  %% volumes of Ghost cell 
end 

if(Type_mesh == 2)
    
    dx = L/N; % step mesh
    Nodes_lim=[LG-dx LD+dx]; 
    Centers_lim=[LG-0.5*dx LD+0.5*dx]; %%% ghost centercell
    D_x_lim=[dx dx]; 
    
    Nodes=[LG:dx:LD];
    %%% nodes of the mesh
    
    alea=(dx/4)*rand(1,N-1);
    alea=[0,alea,0];
    Nodes=Nodes+alea;
    NodesP=Nodes(2:N+1);
    NodesM=Nodes(1:N);
    Centers=0.5*(NodesP(:)+NodesM(:));
    D_x=(NodesP(:)-NodesM(:));
    
end 

m=1;

end

